%define	upstream_name MD5
%define upstream_version 2.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3
License:	GPL or Artistic
Group:		Development/Perl
Summary:	The Perl interface to the RSA Message Digest Algorithm
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org//pub/CPAN/modules/by-module/%{upstream_name}/%{upstream_name}-%{upstream_version}.tar.bz2
Buildrequires:	perl-devel
Buildarch:	noarch

%description
The perl-MD5 package provides the MD5 module for the Perl
programming language.  MD5 is a Perl interface to the RSA Data
Security Inc. Message Digest Algorithm, which allows Perl
programs to use the algorithm.

The perl-MD5 package should be installed if any Perl programs
on your system are going to use RSA's Message Digest Algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%__perl Makefile.PL INSTALLDIRS=vendor --defaultdeps
%make

%install
%make_install
rm -f %{buildroot}%{perl_archlib}/perllocal.pod

%files
%doc MANIFEST README
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.30.0-3.mga6
+ Revision: 1029870
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.30.0-2.mga6
+ Revision: 968737
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 2.30.0-1.mga6
+ Revision: 854509
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.03-11.mga5
+ Revision: 744486
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.03-10.mga5
+ Revision: 685284
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.03-9.mga4
+ Revision: 512685
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.03-8.mga3
+ Revision: 369273
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.03-7.mga1
+ Revision: 12896
- imported package perl-MD5


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.03-7mdv2010.1
+ Revision: 426517
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.03-6mdv2009.0
+ Revision: 223816
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.03-5mdv2008.1
+ Revision: 180416
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 2.03-4mdv2008.0
+ Revision: 74274
- bump release

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 2.03-3mdv2008.0
+ Revision: 73533
- spec file cleansing


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 19:44:05 (41185)
- rebuild && mkrel

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 19:42:09 (41184)
Import perl-MD5

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.03-1mdk
- 2.03
- drop PREFIX
- use %%makeinstall_std macro
- spec cosmetics

* Fri Aug 01 2003 Ben Reser <ben@reser.org> 2.02-3mdk
- Fix ManPath
- rm buildroot in %%install not %%prep
- macroification
- fix build/install for new perl
- unpackaged perllocal.pod
- Quiet setup

